﻿@model LMS.Data.Models.Book

@{
    ViewData["Title"] = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />
<h1>Delete</h1>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Book</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Author)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Author.Name)
        </dd class>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Pages)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Pages)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Year)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Year)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Country)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Country)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Language)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Language)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Link)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Link)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.ISBN)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.ISBN)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Category)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Category)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.IsDeleted)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.IsDeleted)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="BookId" />
        <input type="submit" value="Delete" class="btn btn-danger" /> |
        <a asp-action="Index">Back to List</a>
    </form>
</div>
